use super::ShipBehavior;
use crate::{objects::ShipControls, StepResources};

/// The Null behaviors is assigned to objects that are not controlled by the computer.
/// Most notably, the player's ship has a Null behavior.
pub struct Null {}

impl Null {
	/// Create a new ship controller
	pub fn new() -> Self {
		Self {}
	}
}

impl ShipBehavior for Null {
	fn update_controls(&mut self, _res: &StepResources) -> ShipControls {
		ShipControls::new()
	}
}
